Retrieve a vector store
Retrieves a vector store by its ID.
Documentation Index
Fetch the complete documentation index at: https://docs.mka1.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
The ID of the vector store to retrieve.
Response
OK
A vector store is a collection of processed files that can be used by the file_search tool.
The identifier, which can be referenced in API endpoints.
The object type, which is always 'vector_store'.
The Unix timestamp (in seconds) for when the vector store was created.
-9007199254740991 <= x <= 9007199254740991The name of the vector store.
The total number of bytes used by the files in the vector store.
-9007199254740991 <= x <= 9007199254740991The embedding model used for this vector store. Resolved at creation time from the requested or auto model. Null for legacy vector stores.
The number of dimensions for the embedding vectors in this vector store. Null for legacy vector stores.
0 < x <= 9007199254740991File processing status counts.
The status of the vector store. 'expired' means the store has expired, 'in_progress' means files are still being processed, 'completed' indicates that the vector store is ready for use.
expired, in_progress, completed The Unix timestamp (in seconds) for when the vector store was last active.
-9007199254740991 <= x <= 9007199254740991Set of 16 key-value pairs that can be attached to an object. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
The Unix timestamp (in seconds) for when the vector store was last used.
-9007199254740991 <= x <= 9007199254740991The expiration policy for a vector store.
The Unix timestamp (in seconds) for when the vector store will expire.
-9007199254740991 <= x <= 9007199254740991A description for the vector store. Can be used to describe the vector store's purpose.